From 401ab6b5acdc617adda6eef1d43a0c08cef9b204 Mon Sep 17 00:00:00 2001
From: Iain Sandoe <iain@codesourcery.com>
Date: Sun, 27 Jul 2014 20:35:16 +0100
Subject: [PATCH 1003/1008] Default to ppc7400 for OSX 10.5+

(cherry picked from commit 5662f0184c9e491e7df297feff4de37a678a0a4e)
---
 lib/Driver/Tools.cpp | 3 +++
 1 file changed, 3 insertions(+)

diff --git llvm_release_39/tools/clang/lib/Driver/Tools.cpp macports_release_39/tools/clang/lib/Driver/Tools.cpp
index 270ed0a4e7..a9b557d20f 100644
--- llvm_release_39/tools/clang/lib/Driver/Tools.cpp
+++ macports_release_39/tools/clang/lib/Driver/Tools.cpp
@@ -1970,6 +1970,9 @@ static std::string getCPUName(const ArgList &Args, const llvm::Triple &T,
         TargetCPUName = "ppc64";
       else if (T.getArch() == llvm::Triple::ppc64le)
         TargetCPUName = "ppc64le";
+      else if (T.isOSDarwin() && !T.isMacOSXVersionLT(10,5))
+        // For 10.5+ Altivec is assumed available.
+        TargetCPUName = "7400";
       else
         TargetCPUName = "ppc";
     }
-- 
2.11.0

